unit uEditorWrapOption;

interface

uses
  Rubies, HEditor;

var
  cEditorWrapOption: Tvalue;

function ap_iEditorWrapOption(real: TEditorWrapOption; owner: Tvalue): Tvalue;
procedure Init_EditorWrapOption;

implementation

uses
  Pythia, uEditor, uNotifyPersistent;

function EditorWrapOption_alloc(This: Tvalue; real: TEditorWrapOption): Tvalue;
begin
  result := TmpAlloc(This, real);
end;

function ap_iEditorWrapOption(real: TEditorWrapOption; owner: Tvalue): Tvalue;
begin
  result := EditorWrapOption_alloc(cEditorWrapOption, real);
  ap_owner(result, owner);
end;

function ap_iEditorWrapOption_v(var AControl; owner: Tvalue): Tvalue;
begin
  result := ap_iEditorWrapOption(TEditorWrapOption(AControl), owner)
end;
procedure Init_EditorWrapOption;
begin
  cEditorWrapOption := rb_define_class_under(cEditor, 'WrapOption', cNotifyPersistent);
  DefineProp(cEditorWrapOption, TEditorWrapOption);
end;

end.
